Face Search

Empower your security and compliance measures with the Face Search API. This robust API enables you to identify individuals by submitting a human face image file (PNG or JPG) via POST request. The API will search its extensive database for matches, returning a unique verify_id for the submitted image. Once the verification process is complete, you can retrieve the results using the check_status API call. This powerful tool can be used to enhance identity verification, prevent fraud, and safeguard your organization.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

search

Method: POST

URL : https://prod.crimescan.ai/v1/face_match/match

Description: The API allows for image matching by sending a POST request with a file , along with user and authentication token parameters, to the specified endpoint . The server processes the request and returns a response indicating the matching results.

Function: face search
Parameters : file,user,auth_token
Output Type : JSON

fieldsDescriptionRequired/Optional
fileFile (image file jpg,png) as form dataRequired
userusernameRequired
auth_tokenapi auth tokenRequired

Example :

curl --location 'https://prod.crimesc an.ai/v1/face_match/match' \ --header 'Cache-Control: no-cache' \ 
--form 'user="xxxxxxxx"' \ --form 'auth_token="xxxxxxx"' \ --form 'file=@"/home/valuepitch/Downloads/falcon_api/salman.jpeg"'

Response:

If success-

{"status":1,"results":{"media":[{"name":"Salman Khan: Relief for Salman Khan from personal court appearance","address":null,"image":"https://static.toiimg.com/photo/msid-60864740/60864740.jpg?7295","id":"c8dd48c2e6ab331fe162dc8392c1ae96","link":"http://timesofindia.indiatimes.com//city/jaipur/relief-for-salman-khan-from-personal-court-appearance/articleshow/60861504.cms","source":"media","conf":93.94718170166016,"score":99.99979400634766,"bounding_box":{"width":0.334197998046875,"height":0.4721199870109558,"left":0.3399600088596344,"top":0.20350000262260437},"og_width":null,"og_height":null},{"name":"Jewellery brand signs Salman Khan as its global ambassador","address":null,"image":"https://timesofindia.indiatimes.com/thumb/msid-46274265,width-400,resizemode-4/46274265.jpg","id":"b3ffc5e0b87caa7f13d50490b026550d","link":"https://timesofindia.indiatimes.comhttp://timesofindia.indiatimes.com//entertainment/hindi/bollywood/news/Jewellery-brand-signs-Salman-Khan-as-its-global-ambassador/articleshow/46274172.cms","source":"media","conf":93.89572143554688,"score":99.98419952392578,"bounding_box":{"width":0.3326919972896576,"height":0.4984149932861328,"left":0.37307700514793396,"top":0.19302800297737122},"og_width":null,"og_height":null},{"name":"Salman Khan's lawyer: No law to take blood test in accident cases","address":null,"image":"https://timesofindia.indiatimes.com/thumb/msid-49297588,width-400,resizemode-4/49297588.jpg","id":"fa9fe85c2f4a241fefca83275dea0def","link":"https://timesofindia.indiatimes.comhttp://timesofindia.indiatimes.com//entertainment/hindi/bollywood/news/Salman-Khans-lawyer-No-law-to-take-blood-test-in-accident-cases/articleshow/49297349.cms","source":"media","conf":93.33134002685547,"score":99.97799682617188,"bounding_box":{"width":0.3173080086708069,"height":0.47536700963974,"left":0.3807690143585205,"top":0.20743300020694733},"og_width":null,"og_height":null}],"wanted":[]}}

If unsuccessfull-

{
"status": 0
}
Body Params
file
required
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json